---
title: Teleport
---

Teleport is an Access Management Platform allowing users to gain read or write access to various resources.

The [infrastructure runbook docs](https://gitlab.com/gitlab-com/runbooks/-/tree/master/docs/teleport) contain a variety of detailed topics on using and interacting with teleport.

Until CorpSec is staffed to provide technical ownership, [Foundations](../../../../engineering/infrastructure/team/foundations/_index.md) providing maintenance of the underlying infrastructure. All non-maintenance related feature requests and improvements are managed by CorpSec.

For help with:

- Business ownership (contract, compliance, roadmap)- contact CorpSec in [#security-corpsec](https://gitlab.enterprise.slack.com/archives/C06V11XCQ2J).
- Access - [open an access request](https://gitlab.com/gitlab-com/team-member-epics/access-requests/-/issues/new?issuable_template=Individual_Bulk_Access_Request).
- Individual access approvals - Follow the runbook for [connecting to a database console](https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/teleport/Connect_to_Database_Console_via_Teleport.md) or [rails console](https://gitlab.com/gitlab-com/runbooks/-/blob/master/docs/teleport/Connect_to_Rails_Console_via_Teleport.md).
- Onboarding new resources - [open a new issue](https://gitlab.com/gitlab-com/gl-security/corp/issue-tracker/-/issues/new?issuable_template=corpsec_general#) for CorpSec to triage and schedule.
- Feature requests or improvements - [open a new issue](https://gitlab.com/gitlab-com/gl-security/corp/issue-tracker/-/issues/new?issuable_template=corpsec_general#) for CorpSec to triage and schedule.
- Maintenance work - open an issue in [production-engineering](https://gitlab.com/gitlab-com/gl-infra/production-engineering/-/issues/new) or ask questions in [#g_foundations](https://gitlab.enterprise.slack.com/archives/C0313V3L5T6).
